/* #########################################
 *
 * Saphira.h
 * Top-level include for Saphira
 * 
 *#########################################
 */

/**
 ** Saphira.h
 **
 ** Copyright 2001 by Kurt Konolige
 **
 ** The author hereby grants to SRI permission to use this software.
 ** The author also grants to SRI permission to distribute this software
 ** to schools for non-commercial educational use only.
 **
 ** The author hereby grants to other individuals or organizations
 ** permission to use this software for non-commercial
 ** educational use only.  This software may not be distributed to others
 ** except by SRI, under the conditions above.
 **
 ** Other than these cases, no part of this software may be used or
 ** distributed without written permission of the author.
 **
 ** Neither the author nor SRI make any representations about the 
 ** suitability of this software for any purpose.  It is provided 
 ** "as is" without express or implied warranty.
 **
 ** Kurt Konolige
 ** Senior Computer Scientist
 ** SRI International
 ** 333 Ravenswood Avenue
 ** Menlo Park, CA 94025
 ** E-mail:  konolige@ai.sri.com
 **
 **/

#ifndef SAPHIRA_H
#define SAPHIRA_H

#undef SFEXPORT
#if defined(WIN32) && !defined(SF_STATIC)
#ifdef MAKE_LIBRARY
#define SFEXPORT _declspec( dllexport )
#else
#define SFEXPORT _declspec( dllimport )
#endif
#define SFSFEXPORT _declspec( dllimport )
#define REALLYEXPORT _declspec( dllexport )
#else
#define SFEXPORT
#define REALLYEXPORT
#endif


#undef htons
#include "Aria.h"
#include "SfConstant.h"
#include "SfInterp.h"
#include "SfClass.h"
#include "SfLps.h"
#include "SfGrid.h"
#include "SfStream.h"
#include "SfDevices.h"
#include "SfSystem.h"		// Saphira system definitions
#include "SfUTask.h"

#endif /* SAPHIRA_H */



