#ifndef _JBOTPROXY
#define _JBOTPROXY
#include "Saphira.h"
#include "SfJRobot.h"
#include "export.h"
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/poll.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <errno.h>
#include <string>

class JbotProxy : public ArRecurrentTask
{
 private:
  int listenSocket;
  short port;
  static short DEFAULTPORT;
  
  int getSocket();
  void setSocket(int s);
  short getPort();
  void setPort(short s);

 public:

  SFEXPORT JbotProxy();	// constructor
  SFEXPORT ~JbotProxy();
  SFEXPORT void task();		// async updating task
  int counter;
  bool bind();
  int end;
  void send(char *msg, int event);
  void send(char *msg, int length, int event);
  const static int POSITION_EVENT = 1;
  const static int LOWLEVELMAP_EVENT = 2;
  const static int VIDEOSTREAM_EVENT = 3;

};

#endif
